Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.0 MBeans (Deprecated)

## weblogic.management
Class DistributedUpdateException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              weblogic.utils.NestedException
                  weblogic.management.DistributedUpdateException

All Implemented Interfaces:
  weblogic.utils.NestedThrowable, Serializable

Direct Known Subclasses:
  DistributedAttributeUpdateException, DistributedOperationUpdateException

public abstract class DistributedUpdateException
extends weblogic.utils.NestedException

This exception is the super-exception for exception that occured while propagating an updated from the Admin Server to a specific Managed Server.

See Also:
  Serialized Form

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Nested Class Summary

Nested classes inherited from class weblogic.utils.NestedThrowable
`weblogic.utils.NestedThrowable.Util`

Field Summary

Fields inherited from class weblogic.utils.NestedException
`nested`

Constructor Summary
`DistributedUpdateException(ObjectName remoteNameArg, MBeanServer remoteMBeanServerArg, Exception exceptionArg)` Constructor for the DistributedUpdateException object

Method Summary
`MBeanServer` | `getRemoteMBeanServer()` Return the MBeanServer on the Config MBean on which the update failed.
`ObjectName` | `getRemoteName()` Return the ObjectName of the Config MBean on which the update failed.
`void` | `printExceptionInfo(PrintWriter writer)` Print the information to the specified writer.
`void` | `printStackTrace()` Print the trace to the System.err.
`void` | `printStackTrace(PrintStream stream)` Print the trace to the specified stream.
`void` | `printStackTrace(PrintWriter writer)` Print the trace to the specified writer.

Methods inherited from class weblogic.utils.NestedException
`getMessage, getNested, getNestedException, superPrintStackTrace, superPrintStackTrace, superToString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DistributedUpdateException

    public DistributedUpdateException(ObjectName remoteNameArg,
                                      MBeanServer remoteMBeanServerArg,
                                      Exception exceptionArg)

  Constructor for the DistributedUpdateException object

Method Detail

### getRemoteMBeanServer

    public MBeanServer getRemoteMBeanServer()

  Return the MBeanServer on the Config MBean on which the update failed.

  Returns:
    The remoteMBeanServer value

### getRemoteName

    public ObjectName getRemoteName()

  Return the ObjectName of the Config MBean on which the update failed.

  Returns:
    The remoteName value

### printExceptionInfo

    public void printExceptionInfo(PrintWriter writer)

  Print the information to the specified writer.

  Parameters:
    `writer` -

### printStackTrace

    public void printStackTrace()

  Print the trace to the System.err.

### printStackTrace

    public void printStackTrace(PrintStream stream)

  Print the trace to the specified stream.

  Parameters:
    `stream` -

### printStackTrace

    public void printStackTrace(PrintWriter writer)

  Print the trace to the specified writer.

  Parameters:
    `writer` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD